POST api/ExamFieldMappingDetails
Creates a new exam field mapping detail or updates an existent exam field mapping detail's information.
Request Information
URI Parameters
None.
Body Parameters
ExamFieldMappingDetailModel| Name | Description | Type | Additional information |
|---|---|---|---|
| ColumnName |
Column Name of the exam field mapping detail (Required). |
string |
None. |
| ListValue |
List values of the exam field mapping detail (Required). |
string |
None. |
| SortOrder |
Sort order of the exam field mapping detail (Required). |
integer |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Request Formats
application/json, text/json
Sample:
{
"columnName": "sample string 1",
"listValue": "sample string 2",
"sortOrder": 3,
"id": "77009d8e-4986-4a88-ac56-304f5c6eb92d",
"externalId": "sample string 5"
}
application/xml, text/xml
Sample:
<ExamFieldMappingDetailModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.ExamFieldMappingDetails"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">77009d8e-4986-4a88-ac56-304f5c6eb92d</Id> <ColumnName>sample string 1</ColumnName> <ListValue>sample string 2</ListValue> <SortOrder>3</SortOrder> </ExamFieldMappingDetailModel>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
ExamFieldMappingDetailModel| Name | Description | Type | Additional information |
|---|---|---|---|
| ColumnName |
Column Name of the exam field mapping detail (Required). |
string |
None. |
| ListValue |
List values of the exam field mapping detail (Required). |
string |
None. |
| SortOrder |
Sort order of the exam field mapping detail (Required). |
integer |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"columnName": "sample string 1",
"listValue": "sample string 2",
"sortOrder": 3,
"id": "b4094789-a904-4638-a347-874013af5bbe",
"externalId": "sample string 5"
}
application/xml, text/xml
Sample:
<ExamFieldMappingDetailModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.ExamFieldMappingDetails"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">b4094789-a904-4638-a347-874013af5bbe</Id> <ColumnName>sample string 1</ColumnName> <ListValue>sample string 2</ListValue> <SortOrder>3</SortOrder> </ExamFieldMappingDetailModel>